"""create table for careers
Revision ID: 51f39d7b8e0a
Revises: 8f4e7c9a1b23
Create Date: 2023-05-26 14:52:03.916848
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '51f39d7b8e0a'
down_revision = '8f4e7c9a1b23'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'careers',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )
    op.create_index(op.f('ix_careers_name'), 'careers', ['name'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_careers_name'), table_name='careers')
    op.drop_table('careers')