from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.person import PersonSchema
from helpers.person_helpers import get_all_people

router = APIRouter()

@router.get("/man", status_code=200, response_model=List[PersonSchema])
async def get_men(db: Session = Depends(get_db)):
    all_people = get_all_people(db)
    men = [person for person in all_people if person.gender == "male"]
    return men