from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.career import CareerSchema
from helpers.career_helpers import get_all_careers

router = APIRouter()

@router.get("/tech", status_code=200, response_model=List[CareerSchema])
async def get_tech_careers(db: Session = Depends(get_db)):
    """
    Get a list of tech careers.
    """
    careers = get_all_careers(db)
    return careers